[PC-BSD Commits] r17924 - pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest

svn at pcbsd.org svn at pcbsd.org
Tue Jul 24 12:54:49 PDT 2012


Author: kris
Date: 2012-07-24 19:54:49 +0000 (Tue, 24 Jul 2012)
New Revision: 17924

Modified:
   pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-install.sh
   pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-remove.sh
Log:

Load vboxguest with kernel modules at boot, so they are available
when GDM loads



Modified: pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-install.sh
===================================================================
--- pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-install.sh	2012-07-24 19:18:45 UTC (rev 17923)
+++ pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-install.sh	2012-07-24 19:54:49 UTC (rev 17924)
@@ -9,3 +9,7 @@
 if [ $? -ne 0 ] ; then
 	echo 'vboxservice_enable="YES"' >>/etc/rc.conf
 fi
+grep '^vboxguest_load="YES"' /boot/loader.conf >/dev/null 2>/dev/null
+if [ $? -ne 0 ] ; then
+	echo 'vboxguest_load="YES"' >>/boot/loader.conf
+fi

Modified: pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-remove.sh
===================================================================
--- pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-remove.sh	2012-07-24 19:18:45 UTC (rev 17923)
+++ pcbsd/current/build-files/metapkgsets/pcbsd/pkgset/VirtualBoxGuest/post-remove.sh	2012-07-24 19:54:49 UTC (rev 17924)
@@ -9,3 +9,7 @@
 if [ $? -eq 0 ] ; then
 	sed -i .bak '/vboxservice_enable="YES"/d' /etc/rc.conf
 fi
+grep '^vboxguest_load="YES"' /boot/loader.conf >/dev/null 2>/dev/null
+if [ $? -eq 0 ] ; then
+	sed -i .bak '/vboxguest_load="YES"/d' /boot/loader.conf
+fi



More information about the Commits mailing list